Page MenuHomePhabricator

The Cancel Button should return the user to the original file page
Closed, ResolvedPublic1 Estimate Story Points

Description

Motivation
Special:ImportFile has an "import" button, and a "cancel" button. Right now, when clicking the cancel button, nothing happens. However, when clicking on cancel, users should be redirected to the file page they came from, to offer a "safe" way of canceling the import. Just closing the tab might make some people uncomfortable, since they would not know that nothing has changed in the background yet.

Task

  • When users click on "Cancel", they are redirected to the page they orginally come from.

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : masterCancel button redirects back to the file's original wiki

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 16 2018, 3:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore renamed this task from The Cancle-Button doesn't do anything to The Cancel-Button doesn't do anything.Apr 16 2018, 3:14 PM
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.

I guess you mean on Special:ImportFile ?

Addshore renamed this task from The Cancel-Button doesn't do anything to The Cancel Button doesn't do anything.Apr 16 2018, 3:15 PM
Addshore updated the task description. (Show Details)

I guess you mean on Special:ImportFile ?

Yes, my bad.

@Hanna_Petruschat_WMDE should the cancel button be removed, and if not, what exactly should happen if it is clicked?

Restricted Application added a project: Design. · View Herald TranscriptApr 17 2018, 3:18 PM

I'm not certain on which page exactly you are right now. I assume you mean the "Cancel" button below the edit summary next to the "Import file" button? Then this "Cancel" button should end the importing process and presumingly bring the user back to where she/he start (back to the original file). If this is not what you meant I'd ask for a screenshot for clarification.

Lea_WMDE set the point value for this task to 1.Apr 24 2018, 2:08 PM
Lea_WMDE renamed this task from The Cancel Button doesn't do anything to The Cancel Button should return the user to the original file page.Apr 25 2018, 1:10 PM
Lea_WMDE triaged this task as Medium priority.
Lea_WMDE updated the task description. (Show Details)
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-05-02 board.

Change 432057 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Cancel button redirects back to the file's original wiki

https://gerrit.wikimedia.org/r/432057

Change 432057 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Cancel button redirects back to the file's original wiki

https://gerrit.wikimedia.org/r/432057

Lea_WMDE closed this task as Resolved.May 16 2018, 10:30 AM